Package org.apache.groovy.parser.antlr4

# Class GroovyParser.ExpressionContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `GroovyParser.AdditiveExprAltContext`, `GroovyParser.AndExprAltContext`, `GroovyParser.AssignmentExprAltContext`, `GroovyParser.CastExprAltContext`, `GroovyParser.ConditionalExprAltContext`, `GroovyParser.EqualityExprAltContext`, `GroovyParser.ExclusiveOrExprAltContext`, `GroovyParser.InclusiveOrExprAltContext`, `GroovyParser.LogicalAndExprAltContext`, `GroovyParser.LogicalOrExprAltContext`, `GroovyParser.MultipleAssignmentExprAltContext`, `GroovyParser.MultiplicativeExprAltContext`, `GroovyParser.PostfixExprAltContext`, `GroovyParser.PowerExprAltContext`, `GroovyParser.RegexExprAltContext`, `GroovyParser.RelationalExprAltContext`, `GroovyParser.ShiftExprAltContext`, `GroovyParser.UnaryAddExprAltContext`, `GroovyParser.UnaryNotExprAltContext`

Enclosing class:
  GroovyParser

    public static class GroovyParser.ExpressionContext
    extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ExpressionContext()` |
  `ExpressionContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `copyFrom​(GroovyParser.ExpressionContext ctx)` |
  `int` | `getRuleIndex()` |

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `accept, depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### ExpressionContext

    public ExpressionContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

  - ### ExpressionContext

    public ExpressionContext()

- ## Method Details

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### copyFrom

    public void copyFrom​(GroovyParser.ExpressionContext ctx)